# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Apr 30 13:20:32 2024
# ------------------------------------------------

package:
  name: libffi
  version: 3.4.4
source:
  patches:
    - 0004-LIBFFI_CLOSURE.patch
  sha256: d66c56ad259a82cf2a9dfc408b32bf5da52371500b84745f7fb8b645712df676
  url: https://github.com/libffi/libffi/releases/download/v3.4.4/libffi-3.4.4.tar.gz
build:
  number: '1'
  run_exports:
    - libffi >=3.4,<4.0a0
  string: h419075a_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - autoconf 2.71 pl5340h998d150_0
    - automake 1.16.5 pl5340hd43f75c_1
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gdbm 1.18 hf59d7a7_4
    - gettext 0.21.0 h0cce8dc_1
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - icu 73.1 h419075a_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtool 2.4.6 h419075a_1009
    - libxml2 2.10.4 h6097fa9_2
    - m4 1.4.18 hfd63f10_1
    - make 4.2.1 hfd63f10_1
    - ncurses 6.4 h419075a_0
    - patch 2.7.6 hfd63f10_1001
    - perl 5.34.0 h998d150_2
    - readline 8.2 h998d150_0
    - sed 4.8 hfd63f10_0
    - sysroot_linux-aarch64 2.26 h4744778_14
    - texinfo 6.5 pl5262hfd63f10_0
    - xz 5.4.6 h998d150_0
    - zlib 1.2.13 h998d150_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
  run:
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
test:
  requires:
    - gcc_linux-aarch64 11.2.0.*
    - gxx_linux-aarch64 11.2.0.*
    - make
  source_files:
    - testsuite
    - testsuite/libffi.bhaible
about:
  description: 'The libffi library provides a portable, high level programming interface

    to various calling conventions. This allows a programmer to call any

    function specified by a call interface description at run-time.

    '
  dev_url: https://github.com/libffi/libffi
  doc_url: https://sourceware.org/libffi/
  home: https://sourceware.org/libffi/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: A Portable Foreign Function Interface Library
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 66122d2e-3a80-4695-9a2d-72b44ad3ebb6
  recipe-maintainers:
    - isuruf
    - scopatz
    - stefan-balke
  remote_url: git@github.com:AnacondaRecipes/libffi-feedstock.git
  sha: d17938611be89ed8fc328d1fd8701795d5b7ad9d
